Package org.apache.ignite.lang

## Interface IgniteRunnable

All Superinterfaces:
  `Runnable`, `Serializable`

All Known Subinterfaces:
  `RunnableX`

All Known Implementing Classes:
  `CA`, `CAX`, `ClientSetClusterStateComputeRequest`, `GridAbsClosure`, `GridAbsClosureX`, `GridNioMessageTracker`, `NoOpClosure`, `PlatformRunnable`, `RunnableWrapperClosure`, `TxCollisionsDumpSettingsClosure`

    public interface IgniteRunnable
    extends Runnable, Serializable

Grid-aware adapter for `Runnable` implementations. It adds `Serializable` interface to `Runnable` object. Use this class for executing distributed computations on the grid, like in `IgniteCompute.run(IgniteRunnable)` method.

### Method Summary

### Methods inherited from interface java.lang.Runnable

`run`